Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network214.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
214.0.0.0
Broadcast address
214.255.255.255
First usable
214.0.0.1
Last usable
214.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex D6000000 · Integer 3590324224 to 3607101439
Reverse DNS zone
214.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010110..00000000.00000000.00000000214.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11010110..00000000.00000000.00000000214.0.0.0
Broadcast11010110..11111111.11111111.11111111214.255.255.255
Split into smaller subnets/16

214.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1214.0.0.0/16214.0.0.1 to 214.0.255.254214.0.255.25565,534
2214.1.0.0/16214.1.0.1 to 214.1.255.254214.1.255.25565,534
3214.2.0.0/16214.2.0.1 to 214.2.255.254214.2.255.25565,534
4214.3.0.0/16214.3.0.1 to 214.3.255.254214.3.255.25565,534
5214.4.0.0/16214.4.0.1 to 214.4.255.254214.4.255.25565,534
6214.5.0.0/16214.5.0.1 to 214.5.255.254214.5.255.25565,534
7214.6.0.0/16214.6.0.1 to 214.6.255.254214.6.255.25565,534
8214.7.0.0/16214.7.0.1 to 214.7.255.254214.7.255.25565,534
9214.8.0.0/16214.8.0.1 to 214.8.255.254214.8.255.25565,534
10214.9.0.0/16214.9.0.1 to 214.9.255.254214.9.255.25565,534
11214.10.0.0/16214.10.0.1 to 214.10.255.254214.10.255.25565,534
12214.11.0.0/16214.11.0.1 to 214.11.255.254214.11.255.25565,534
13214.12.0.0/16214.12.0.1 to 214.12.255.254214.12.255.25565,534
14214.13.0.0/16214.13.0.1 to 214.13.255.254214.13.255.25565,534
15214.14.0.0/16214.14.0.1 to 214.14.255.254214.14.255.25565,534
16214.15.0.0/16214.15.0.1 to 214.15.255.254214.15.255.25565,534
17214.16.0.0/16214.16.0.1 to 214.16.255.254214.16.255.25565,534
18214.17.0.0/16214.17.0.1 to 214.17.255.254214.17.255.25565,534
19214.18.0.0/16214.18.0.1 to 214.18.255.254214.18.255.25565,534
20214.19.0.0/16214.19.0.1 to 214.19.255.254214.19.255.25565,534
21214.20.0.0/16214.20.0.1 to 214.20.255.254214.20.255.25565,534
22214.21.0.0/16214.21.0.1 to 214.21.255.254214.21.255.25565,534
23214.22.0.0/16214.22.0.1 to 214.22.255.254214.22.255.25565,534
24214.23.0.0/16214.23.0.1 to 214.23.255.254214.23.255.25565,534
25214.24.0.0/16214.24.0.1 to 214.24.255.254214.24.255.25565,534
26214.25.0.0/16214.25.0.1 to 214.25.255.254214.25.255.25565,534
27214.26.0.0/16214.26.0.1 to 214.26.255.254214.26.255.25565,534
28214.27.0.0/16214.27.0.1 to 214.27.255.254214.27.255.25565,534
29214.28.0.0/16214.28.0.1 to 214.28.255.254214.28.255.25565,534
30214.29.0.0/16214.29.0.1 to 214.29.255.254214.29.255.25565,534
31214.30.0.0/16214.30.0.1 to 214.30.255.254214.30.255.25565,534
32214.31.0.0/16214.31.0.1 to 214.31.255.254214.31.255.25565,534
33214.32.0.0/16214.32.0.1 to 214.32.255.254214.32.255.25565,534
34214.33.0.0/16214.33.0.1 to 214.33.255.254214.33.255.25565,534
35214.34.0.0/16214.34.0.1 to 214.34.255.254214.34.255.25565,534
36214.35.0.0/16214.35.0.1 to 214.35.255.254214.35.255.25565,534
37214.36.0.0/16214.36.0.1 to 214.36.255.254214.36.255.25565,534
38214.37.0.0/16214.37.0.1 to 214.37.255.254214.37.255.25565,534
39214.38.0.0/16214.38.0.1 to 214.38.255.254214.38.255.25565,534
40214.39.0.0/16214.39.0.1 to 214.39.255.254214.39.255.25565,534
41214.40.0.0/16214.40.0.1 to 214.40.255.254214.40.255.25565,534
42214.41.0.0/16214.41.0.1 to 214.41.255.254214.41.255.25565,534
43214.42.0.0/16214.42.0.1 to 214.42.255.254214.42.255.25565,534
44214.43.0.0/16214.43.0.1 to 214.43.255.254214.43.255.25565,534
45214.44.0.0/16214.44.0.1 to 214.44.255.254214.44.255.25565,534
46214.45.0.0/16214.45.0.1 to 214.45.255.254214.45.255.25565,534
47214.46.0.0/16214.46.0.1 to 214.46.255.254214.46.255.25565,534
48214.47.0.0/16214.47.0.1 to 214.47.255.254214.47.255.25565,534
49214.48.0.0/16214.48.0.1 to 214.48.255.254214.48.255.25565,534
50214.49.0.0/16214.49.0.1 to 214.49.255.254214.49.255.25565,534
51214.50.0.0/16214.50.0.1 to 214.50.255.254214.50.255.25565,534
52214.51.0.0/16214.51.0.1 to 214.51.255.254214.51.255.25565,534
53214.52.0.0/16214.52.0.1 to 214.52.255.254214.52.255.25565,534
54214.53.0.0/16214.53.0.1 to 214.53.255.254214.53.255.25565,534
55214.54.0.0/16214.54.0.1 to 214.54.255.254214.54.255.25565,534
56214.55.0.0/16214.55.0.1 to 214.55.255.254214.55.255.25565,534
57214.56.0.0/16214.56.0.1 to 214.56.255.254214.56.255.25565,534
58214.57.0.0/16214.57.0.1 to 214.57.255.254214.57.255.25565,534
59214.58.0.0/16214.58.0.1 to 214.58.255.254214.58.255.25565,534
60214.59.0.0/16214.59.0.1 to 214.59.255.254214.59.255.25565,534
61214.60.0.0/16214.60.0.1 to 214.60.255.254214.60.255.25565,534
62214.61.0.0/16214.61.0.1 to 214.61.255.254214.61.255.25565,534
63214.62.0.0/16214.62.0.1 to 214.62.255.254214.62.255.25565,534
64214.63.0.0/16214.63.0.1 to 214.63.255.254214.63.255.25565,534
65214.64.0.0/16214.64.0.1 to 214.64.255.254214.64.255.25565,534
66214.65.0.0/16214.65.0.1 to 214.65.255.254214.65.255.25565,534
67214.66.0.0/16214.66.0.1 to 214.66.255.254214.66.255.25565,534
68214.67.0.0/16214.67.0.1 to 214.67.255.254214.67.255.25565,534
69214.68.0.0/16214.68.0.1 to 214.68.255.254214.68.255.25565,534
70214.69.0.0/16214.69.0.1 to 214.69.255.254214.69.255.25565,534
71214.70.0.0/16214.70.0.1 to 214.70.255.254214.70.255.25565,534
72214.71.0.0/16214.71.0.1 to 214.71.255.254214.71.255.25565,534
73214.72.0.0/16214.72.0.1 to 214.72.255.254214.72.255.25565,534
74214.73.0.0/16214.73.0.1 to 214.73.255.254214.73.255.25565,534
75214.74.0.0/16214.74.0.1 to 214.74.255.254214.74.255.25565,534
76214.75.0.0/16214.75.0.1 to 214.75.255.254214.75.255.25565,534
77214.76.0.0/16214.76.0.1 to 214.76.255.254214.76.255.25565,534
78214.77.0.0/16214.77.0.1 to 214.77.255.254214.77.255.25565,534
79214.78.0.0/16214.78.0.1 to 214.78.255.254214.78.255.25565,534
80214.79.0.0/16214.79.0.1 to 214.79.255.254214.79.255.25565,534
81214.80.0.0/16214.80.0.1 to 214.80.255.254214.80.255.25565,534
82214.81.0.0/16214.81.0.1 to 214.81.255.254214.81.255.25565,534
83214.82.0.0/16214.82.0.1 to 214.82.255.254214.82.255.25565,534
84214.83.0.0/16214.83.0.1 to 214.83.255.254214.83.255.25565,534
85214.84.0.0/16214.84.0.1 to 214.84.255.254214.84.255.25565,534
86214.85.0.0/16214.85.0.1 to 214.85.255.254214.85.255.25565,534
87214.86.0.0/16214.86.0.1 to 214.86.255.254214.86.255.25565,534
88214.87.0.0/16214.87.0.1 to 214.87.255.254214.87.255.25565,534
89214.88.0.0/16214.88.0.1 to 214.88.255.254214.88.255.25565,534
90214.89.0.0/16214.89.0.1 to 214.89.255.254214.89.255.25565,534
91214.90.0.0/16214.90.0.1 to 214.90.255.254214.90.255.25565,534
92214.91.0.0/16214.91.0.1 to 214.91.255.254214.91.255.25565,534
93214.92.0.0/16214.92.0.1 to 214.92.255.254214.92.255.25565,534
94214.93.0.0/16214.93.0.1 to 214.93.255.254214.93.255.25565,534
95214.94.0.0/16214.94.0.1 to 214.94.255.254214.94.255.25565,534
96214.95.0.0/16214.95.0.1 to 214.95.255.254214.95.255.25565,534
97214.96.0.0/16214.96.0.1 to 214.96.255.254214.96.255.25565,534
98214.97.0.0/16214.97.0.1 to 214.97.255.254214.97.255.25565,534
99214.98.0.0/16214.98.0.1 to 214.98.255.254214.98.255.25565,534
100214.99.0.0/16214.99.0.1 to 214.99.255.254214.99.255.25565,534
101214.100.0.0/16214.100.0.1 to 214.100.255.254214.100.255.25565,534
102214.101.0.0/16214.101.0.1 to 214.101.255.254214.101.255.25565,534
103214.102.0.0/16214.102.0.1 to 214.102.255.254214.102.255.25565,534
104214.103.0.0/16214.103.0.1 to 214.103.255.254214.103.255.25565,534
105214.104.0.0/16214.104.0.1 to 214.104.255.254214.104.255.25565,534
106214.105.0.0/16214.105.0.1 to 214.105.255.254214.105.255.25565,534
107214.106.0.0/16214.106.0.1 to 214.106.255.254214.106.255.25565,534
108214.107.0.0/16214.107.0.1 to 214.107.255.254214.107.255.25565,534
109214.108.0.0/16214.108.0.1 to 214.108.255.254214.108.255.25565,534
110214.109.0.0/16214.109.0.1 to 214.109.255.254214.109.255.25565,534
111214.110.0.0/16214.110.0.1 to 214.110.255.254214.110.255.25565,534
112214.111.0.0/16214.111.0.1 to 214.111.255.254214.111.255.25565,534
113214.112.0.0/16214.112.0.1 to 214.112.255.254214.112.255.25565,534
114214.113.0.0/16214.113.0.1 to 214.113.255.254214.113.255.25565,534
115214.114.0.0/16214.114.0.1 to 214.114.255.254214.114.255.25565,534
116214.115.0.0/16214.115.0.1 to 214.115.255.254214.115.255.25565,534
117214.116.0.0/16214.116.0.1 to 214.116.255.254214.116.255.25565,534
118214.117.0.0/16214.117.0.1 to 214.117.255.254214.117.255.25565,534
119214.118.0.0/16214.118.0.1 to 214.118.255.254214.118.255.25565,534
120214.119.0.0/16214.119.0.1 to 214.119.255.254214.119.255.25565,534
121214.120.0.0/16214.120.0.1 to 214.120.255.254214.120.255.25565,534
122214.121.0.0/16214.121.0.1 to 214.121.255.254214.121.255.25565,534
123214.122.0.0/16214.122.0.1 to 214.122.255.254214.122.255.25565,534
124214.123.0.0/16214.123.0.1 to 214.123.255.254214.123.255.25565,534
125214.124.0.0/16214.124.0.1 to 214.124.255.254214.124.255.25565,534
126214.125.0.0/16214.125.0.1 to 214.125.255.254214.125.255.25565,534
127214.126.0.0/16214.126.0.1 to 214.126.255.254214.126.255.25565,534
128214.127.0.0/16214.127.0.1 to 214.127.255.254214.127.255.25565,534
129214.128.0.0/16214.128.0.1 to 214.128.255.254214.128.255.25565,534
130214.129.0.0/16214.129.0.1 to 214.129.255.254214.129.255.25565,534
131214.130.0.0/16214.130.0.1 to 214.130.255.254214.130.255.25565,534
132214.131.0.0/16214.131.0.1 to 214.131.255.254214.131.255.25565,534
133214.132.0.0/16214.132.0.1 to 214.132.255.254214.132.255.25565,534
134214.133.0.0/16214.133.0.1 to 214.133.255.254214.133.255.25565,534
135214.134.0.0/16214.134.0.1 to 214.134.255.254214.134.255.25565,534
136214.135.0.0/16214.135.0.1 to 214.135.255.254214.135.255.25565,534
137214.136.0.0/16214.136.0.1 to 214.136.255.254214.136.255.25565,534
138214.137.0.0/16214.137.0.1 to 214.137.255.254214.137.255.25565,534
139214.138.0.0/16214.138.0.1 to 214.138.255.254214.138.255.25565,534
140214.139.0.0/16214.139.0.1 to 214.139.255.254214.139.255.25565,534
141214.140.0.0/16214.140.0.1 to 214.140.255.254214.140.255.25565,534
142214.141.0.0/16214.141.0.1 to 214.141.255.254214.141.255.25565,534
143214.142.0.0/16214.142.0.1 to 214.142.255.254214.142.255.25565,534
144214.143.0.0/16214.143.0.1 to 214.143.255.254214.143.255.25565,534
145214.144.0.0/16214.144.0.1 to 214.144.255.254214.144.255.25565,534
146214.145.0.0/16214.145.0.1 to 214.145.255.254214.145.255.25565,534
147214.146.0.0/16214.146.0.1 to 214.146.255.254214.146.255.25565,534
148214.147.0.0/16214.147.0.1 to 214.147.255.254214.147.255.25565,534
149214.148.0.0/16214.148.0.1 to 214.148.255.254214.148.255.25565,534
150214.149.0.0/16214.149.0.1 to 214.149.255.254214.149.255.25565,534
151214.150.0.0/16214.150.0.1 to 214.150.255.254214.150.255.25565,534
152214.151.0.0/16214.151.0.1 to 214.151.255.254214.151.255.25565,534
153214.152.0.0/16214.152.0.1 to 214.152.255.254214.152.255.25565,534
154214.153.0.0/16214.153.0.1 to 214.153.255.254214.153.255.25565,534
155214.154.0.0/16214.154.0.1 to 214.154.255.254214.154.255.25565,534
156214.155.0.0/16214.155.0.1 to 214.155.255.254214.155.255.25565,534
157214.156.0.0/16214.156.0.1 to 214.156.255.254214.156.255.25565,534
158214.157.0.0/16214.157.0.1 to 214.157.255.254214.157.255.25565,534
159214.158.0.0/16214.158.0.1 to 214.158.255.254214.158.255.25565,534
160214.159.0.0/16214.159.0.1 to 214.159.255.254214.159.255.25565,534
161214.160.0.0/16214.160.0.1 to 214.160.255.254214.160.255.25565,534
162214.161.0.0/16214.161.0.1 to 214.161.255.254214.161.255.25565,534
163214.162.0.0/16214.162.0.1 to 214.162.255.254214.162.255.25565,534
164214.163.0.0/16214.163.0.1 to 214.163.255.254214.163.255.25565,534
165214.164.0.0/16214.164.0.1 to 214.164.255.254214.164.255.25565,534
166214.165.0.0/16214.165.0.1 to 214.165.255.254214.165.255.25565,534
167214.166.0.0/16214.166.0.1 to 214.166.255.254214.166.255.25565,534
168214.167.0.0/16214.167.0.1 to 214.167.255.254214.167.255.25565,534
169214.168.0.0/16214.168.0.1 to 214.168.255.254214.168.255.25565,534
170214.169.0.0/16214.169.0.1 to 214.169.255.254214.169.255.25565,534
171214.170.0.0/16214.170.0.1 to 214.170.255.254214.170.255.25565,534
172214.171.0.0/16214.171.0.1 to 214.171.255.254214.171.255.25565,534
173214.172.0.0/16214.172.0.1 to 214.172.255.254214.172.255.25565,534
174214.173.0.0/16214.173.0.1 to 214.173.255.254214.173.255.25565,534
175214.174.0.0/16214.174.0.1 to 214.174.255.254214.174.255.25565,534
176214.175.0.0/16214.175.0.1 to 214.175.255.254214.175.255.25565,534
177214.176.0.0/16214.176.0.1 to 214.176.255.254214.176.255.25565,534
178214.177.0.0/16214.177.0.1 to 214.177.255.254214.177.255.25565,534
179214.178.0.0/16214.178.0.1 to 214.178.255.254214.178.255.25565,534
180214.179.0.0/16214.179.0.1 to 214.179.255.254214.179.255.25565,534
181214.180.0.0/16214.180.0.1 to 214.180.255.254214.180.255.25565,534
182214.181.0.0/16214.181.0.1 to 214.181.255.254214.181.255.25565,534
183214.182.0.0/16214.182.0.1 to 214.182.255.254214.182.255.25565,534
184214.183.0.0/16214.183.0.1 to 214.183.255.254214.183.255.25565,534
185214.184.0.0/16214.184.0.1 to 214.184.255.254214.184.255.25565,534
186214.185.0.0/16214.185.0.1 to 214.185.255.254214.185.255.25565,534
187214.186.0.0/16214.186.0.1 to 214.186.255.254214.186.255.25565,534
188214.187.0.0/16214.187.0.1 to 214.187.255.254214.187.255.25565,534
189214.188.0.0/16214.188.0.1 to 214.188.255.254214.188.255.25565,534
190214.189.0.0/16214.189.0.1 to 214.189.255.254214.189.255.25565,534
191214.190.0.0/16214.190.0.1 to 214.190.255.254214.190.255.25565,534
192214.191.0.0/16214.191.0.1 to 214.191.255.254214.191.255.25565,534
193214.192.0.0/16214.192.0.1 to 214.192.255.254214.192.255.25565,534
194214.193.0.0/16214.193.0.1 to 214.193.255.254214.193.255.25565,534
195214.194.0.0/16214.194.0.1 to 214.194.255.254214.194.255.25565,534
196214.195.0.0/16214.195.0.1 to 214.195.255.254214.195.255.25565,534
197214.196.0.0/16214.196.0.1 to 214.196.255.254214.196.255.25565,534
198214.197.0.0/16214.197.0.1 to 214.197.255.254214.197.255.25565,534
199214.198.0.0/16214.198.0.1 to 214.198.255.254214.198.255.25565,534
200214.199.0.0/16214.199.0.1 to 214.199.255.254214.199.255.25565,534
201214.200.0.0/16214.200.0.1 to 214.200.255.254214.200.255.25565,534
202214.201.0.0/16214.201.0.1 to 214.201.255.254214.201.255.25565,534
203214.202.0.0/16214.202.0.1 to 214.202.255.254214.202.255.25565,534
204214.203.0.0/16214.203.0.1 to 214.203.255.254214.203.255.25565,534
205214.204.0.0/16214.204.0.1 to 214.204.255.254214.204.255.25565,534
206214.205.0.0/16214.205.0.1 to 214.205.255.254214.205.255.25565,534
207214.206.0.0/16214.206.0.1 to 214.206.255.254214.206.255.25565,534
208214.207.0.0/16214.207.0.1 to 214.207.255.254214.207.255.25565,534
209214.208.0.0/16214.208.0.1 to 214.208.255.254214.208.255.25565,534
210214.209.0.0/16214.209.0.1 to 214.209.255.254214.209.255.25565,534
211214.210.0.0/16214.210.0.1 to 214.210.255.254214.210.255.25565,534
212214.211.0.0/16214.211.0.1 to 214.211.255.254214.211.255.25565,534
213214.212.0.0/16214.212.0.1 to 214.212.255.254214.212.255.25565,534
214214.213.0.0/16214.213.0.1 to 214.213.255.254214.213.255.25565,534
215214.214.0.0/16214.214.0.1 to 214.214.255.254214.214.255.25565,534
216214.215.0.0/16214.215.0.1 to 214.215.255.254214.215.255.25565,534
217214.216.0.0/16214.216.0.1 to 214.216.255.254214.216.255.25565,534
218214.217.0.0/16214.217.0.1 to 214.217.255.254214.217.255.25565,534
219214.218.0.0/16214.218.0.1 to 214.218.255.254214.218.255.25565,534
220214.219.0.0/16214.219.0.1 to 214.219.255.254214.219.255.25565,534
221214.220.0.0/16214.220.0.1 to 214.220.255.254214.220.255.25565,534
222214.221.0.0/16214.221.0.1 to 214.221.255.254214.221.255.25565,534
223214.222.0.0/16214.222.0.1 to 214.222.255.254214.222.255.25565,534
224214.223.0.0/16214.223.0.1 to 214.223.255.254214.223.255.25565,534
225214.224.0.0/16214.224.0.1 to 214.224.255.254214.224.255.25565,534
226214.225.0.0/16214.225.0.1 to 214.225.255.254214.225.255.25565,534
227214.226.0.0/16214.226.0.1 to 214.226.255.254214.226.255.25565,534
228214.227.0.0/16214.227.0.1 to 214.227.255.254214.227.255.25565,534
229214.228.0.0/16214.228.0.1 to 214.228.255.254214.228.255.25565,534
230214.229.0.0/16214.229.0.1 to 214.229.255.254214.229.255.25565,534
231214.230.0.0/16214.230.0.1 to 214.230.255.254214.230.255.25565,534
232214.231.0.0/16214.231.0.1 to 214.231.255.254214.231.255.25565,534
233214.232.0.0/16214.232.0.1 to 214.232.255.254214.232.255.25565,534
234214.233.0.0/16214.233.0.1 to 214.233.255.254214.233.255.25565,534
235214.234.0.0/16214.234.0.1 to 214.234.255.254214.234.255.25565,534
236214.235.0.0/16214.235.0.1 to 214.235.255.254214.235.255.25565,534
237214.236.0.0/16214.236.0.1 to 214.236.255.254214.236.255.25565,534
238214.237.0.0/16214.237.0.1 to 214.237.255.254214.237.255.25565,534
239214.238.0.0/16214.238.0.1 to 214.238.255.254214.238.255.25565,534
240214.239.0.0/16214.239.0.1 to 214.239.255.254214.239.255.25565,534
241214.240.0.0/16214.240.0.1 to 214.240.255.254214.240.255.25565,534
242214.241.0.0/16214.241.0.1 to 214.241.255.254214.241.255.25565,534
243214.242.0.0/16214.242.0.1 to 214.242.255.254214.242.255.25565,534
244214.243.0.0/16214.243.0.1 to 214.243.255.254214.243.255.25565,534
245214.244.0.0/16214.244.0.1 to 214.244.255.254214.244.255.25565,534
246214.245.0.0/16214.245.0.1 to 214.245.255.254214.245.255.25565,534
247214.246.0.0/16214.246.0.1 to 214.246.255.254214.246.255.25565,534
248214.247.0.0/16214.247.0.1 to 214.247.255.254214.247.255.25565,534
249214.248.0.0/16214.248.0.1 to 214.248.255.254214.248.255.25565,534
250214.249.0.0/16214.249.0.1 to 214.249.255.254214.249.255.25565,534
251214.250.0.0/16214.250.0.1 to 214.250.255.254214.250.255.25565,534
252214.251.0.0/16214.251.0.1 to 214.251.255.254214.251.255.25565,534
253214.252.0.0/16214.252.0.1 to 214.252.255.254214.252.255.25565,534
254214.253.0.0/16214.253.0.1 to 214.253.255.254214.253.255.25565,534
255214.254.0.0/16214.254.0.1 to 214.254.255.254214.254.255.25565,534
256214.255.0.0/16214.255.0.1 to 214.255.255.254214.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses